Show / Hide Table of Contents

# Struct ImFontConfigPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontConfigPtr

### Constructors

| Improve this Doc View Source

#### ImFontConfigPtr(ImFontConfig*)

##### Declaration

    public ImFontConfigPtr(ImFontConfig*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontConfig* | nativePtr |

| Improve this Doc View Source

#### ImFontConfigPtr(IntPtr)

##### Declaration

    public ImFontConfigPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### DstFont

##### Declaration

    public ImFontPtr DstFont { get; }

##### Property Value

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### EllipsisChar

##### Declaration

    public ushort EllipsisChar { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### FontBuilderFlags

##### Declaration

    public uint FontBuilderFlags { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FontData

##### Declaration

    public IntPtr FontData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### FontDataOwnedByAtlas

##### Declaration

    public bool FontDataOwnedByAtlas { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### FontDataSize

##### Declaration

    public int FontDataSize { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### FontNo

##### Declaration

    public int FontNo { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GlyphExtraSpacing

##### Declaration

    public Vector2 GlyphExtraSpacing { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GlyphMaxAdvanceX

##### Declaration

    public float GlyphMaxAdvanceX { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GlyphMinAdvanceX

##### Declaration

    public float GlyphMinAdvanceX { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GlyphOffset

##### Declaration

    public Vector2 GlyphOffset { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GlyphRanges

##### Declaration

    public IntPtr GlyphRanges { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### MergeMode

##### Declaration

    public bool MergeMode { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Name

##### Declaration

    public RangeAccessor<byte> Name { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Byte> |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImFontConfig*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontConfig* |

| Improve this Doc View Source

#### OversampleH

##### Declaration

    public int OversampleH { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### OversampleV

##### Declaration

    public int OversampleV { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PixelSnapH

##### Declaration

    public bool PixelSnapH { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RasterizerMultiply

##### Declaration

    public float RasterizerMultiply { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SizePixels

##### Declaration

    public float SizePixels { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImFontConfig* to ImFontConfigPtr)

##### Declaration

    public static implicit operator ImFontConfigPtr(ImFontConfig*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontConfig* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontConfigPtr |

| Improve this Doc View Source

#### Implicit(ImFontConfigPtr to ImFontConfig*)

##### Declaration

    public static implicit operator ImFontConfig*(ImFontConfigPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontConfigPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFontConfig* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontConfigPtr)

##### Declaration

    public static implicit operator ImFontConfigPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontConfigPtr |